This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 981471 - (CVE-2013-4668) CVE-2013-4668 file-roller: path sanitization errors
CVE-2013-4668 file-roller: path sanitization errors
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130708,repor...
: Security
Depends On: 981507 982134
Blocks: 981473
  Show dependency treegraph
 
Reported: 2013-07-04 16:48 EDT by Kurt Seifried
Modified: 2015-10-15 13:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-08 04:50:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2013-07-04 16:48:33 EDT
Andrea Barisani (lcars@ocert.org) reports:

#2013-001 File Roller path sanitization errors

Description:

The File Roller archive manager for the GNOME desktop suffers from a path traversal vulnerability caused by insufficient path sanitization.

A specially crafted archive file can be used to trigger creation of arbitrary files in any location, writable by the user executing the extraction, outside the current working directory. This behaviour is triggered when the option 'Keep directory structure' is selected from the application 'Extract' dialog.

The issue is present on File Roller installations which have been compiled with libarchive support, used to handle tar, cpio, lha, 7zip, ar archiving formats and ISO images. The libarchive support is enabled by default.

Affected version:

File Roller >= 3.6.0, >= 3.8.0, >= 3.9.1

Fixed version:

File Roller >= 3.6.4, >= 3.8.3, >= 3.9.3

Credit: vulnerability report received from Yorick Koster <yorick.koster AT securify.nl>.
Comment 2 Huzaifa S. Sidhpurwala 2013-07-04 22:34:13 EDT
Statement:

Not Vulnerable. This issue does not affect the version of file-roller as shipped with Red Hat Enterprise Linux 5 and 6.
Comment 5 Huzaifa S. Sidhpurwala 2013-07-08 04:48:48 EDT
Created file-roller tracking bugs for this issue:

Affects: fedora-all [bug 982134]

Note You need to log in before you can comment on or make changes to this bug.